hpp-core: hpp::core::pathProjector::Dichotomy Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::pathProjector::Dichotomy Class Reference

`#include <hpp/core/path-projector/dichotomy.hh>`

Inheritance diagram for hpp::core::pathProjector::Dichotomy:
[legend]
Collaboration diagram for hpp::core::pathProjector::Dichotomy:
[legend]

## Public Types
typedef hpp::core::StraightPath | StraightPath
typedef hpp::core::StraightPathPtr_t | StraightPathPtr_t
Public Types inherited from hpp::core::PathProjector
typedef hpp::core::Path | Path
typedef hpp::core::PathPtr_t | PathPtr_t
typedef hpp::core::PathVector | PathVector
typedef hpp::core::PathVectorPtr_t | PathVectorPtr_t

## Static Public Member Functions
static DichotomyPtr_t | create (const DistancePtr_t &distance, const SteeringMethodPtr_t &steeringMethod, value_type maxPathLength)
static DichotomyPtr_t | create (const ProblemConstPtr_t &problem, value_type maxPathLength)

## Protected Member Functions
bool | impl_apply (const PathPtr_t &path, PathPtr_t &projection) const
| Method to be reimplemented by inherited class.
| Dichotomy (const DistancePtr_t &distance, const SteeringMethodPtr_t &steeringMethod, value_type maxPathLength)
bool | applyToStraightPath (const StraightPathPtr_t &path, PathPtr_t &projection) const
Protected Member Functions inherited from hpp::core::PathProjector
| PathProjector (const DistancePtr_t &distance, const SteeringMethodPtr_t &steeringMethod, bool keepSteeringMethodConstraints=false)
value_type | d (ConfigurationIn_t q1, ConfigurationIn_t q2) const
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const

## Additional Inherited Members
Public Member Functions inherited from hpp::core::PathProjector
virtual | ~PathProjector ()
| Destructor.
bool | apply (const PathPtr_t &path, PathPtr_t &projection) const
Protected Attributes inherited from hpp::core::PathProjector
SteeringMethodPtr_t | steeringMethod_

## Member Typedef Documentation

## ◆ StraightPath

typedef hpp::core::StraightPath hpp::core::pathProjector::Dichotomy::StraightPath

## ◆ StraightPathPtr_t

typedef hpp::core::StraightPathPtr_t hpp::core::pathProjector::Dichotomy::StraightPathPtr_t

## Constructor & Destructor Documentation

## ◆ Dichotomy()

hpp::core::pathProjector::Dichotomy::Dichotomy | ( | const DistancePtr_t & | distance,
|  | const SteeringMethodPtr_t & | steeringMethod,
|  | value_type | maxPathLength
| ) |  |
| protected

## Member Function Documentation

## ◆ applyToStraightPath()

bool hpp::core::pathProjector::Dichotomy::applyToStraightPath | ( | const StraightPathPtr_t & | path,
|  | PathPtr_t & | projection
| ) |  | const
| protected

## ◆ create() [1/2]

static DichotomyPtr_t hpp::core::pathProjector::Dichotomy::create | ( | const DistancePtr_t & | distance,
|  | const SteeringMethodPtr_t & | steeringMethod,
|  | value_type | maxPathLength
| ) |  |
| inlinestatic

## ◆ create() [2/2]

static DichotomyPtr_t hpp::core::pathProjector::Dichotomy::create | ( | const ProblemConstPtr_t & | problem,
|  | value_type | maxPathLength
| ) |  |
| inlinestatic

## ◆ impl_apply()

bool hpp::core::pathProjector::Dichotomy::impl_apply | ( | const PathPtr_t & | path,
|  | PathPtr_t & | projection
| ) |  | const
| protectedvirtual

Method to be reimplemented by inherited class.

Implements hpp::core::PathProjector.

The documentation for this class was generated from the following file:

- include/hpp/core/path-projector/dichotomy.hh